%define module_name URL-XS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.3.1
Release: alt2
Summary: Parsing URLs with zero-copy and no mallocs
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BR/BRDUCH/%{module_name}-%{version}.tar.gz

%description
This is a perl binding to libyaurel (simple C library for parsing URLs with zero-copy and no mallocs).
Might parse: url, url paths and url queries.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_archlib/U*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.3.1-alt2
- rebuild with perl 5.38

* Thu Dec 23 2021 Igor Vlasenko <viy@altlinux.org> 0.3.1-alt1
- updated by package builder

* Tue Dec 07 2021 Igor Vlasenko <viy@altlinux.org> 0.2.0-alt1
- initial import by package builder

